PROGRAM_NAME='AMX_CCS'
(*{{PS_SOURCE_INFO(PROGRAM STATS)                          *)
(***********************************************************)
(*  FILE CREATED ON: 02/07/2002 AT: 15:22:20               *)
(***********************************************************)
(*  FILE_LAST_MODIFIED_ON: 03/27/2002 AT: 10:13:46         *)
(***********************************************************)
(*  ORPHAN_FILE_PLATFORM: 1                                *)
(***********************************************************)
(*!!FILE REVISION: Rev 0                                   *)
(*  REVISION DATE: 03/27/2002                              *)
(*                                                         *)
(*  COMMENTS:                                              *)
(*                                                         *)
(***********************************************************)
(*!!FILE REVISION: Rev 0                                   *)
(*  REVISION DATE: 02/07/2002                              *)
(*                                                         *)
(*  COMMENTS:                                              *)
(*                                                         *)
(***********************************************************)
(*}}PS_SOURCE_INFO                                         *)
(***********************************************************)

(***********************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_DEVICE

(***********************************************************)
(*               CONSTANT DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_CONSTANT

(***********************************************************)
(*              DATA TYPE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_TYPE

(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_VARIABLE


(*---------------------------------------------------------*)
(*   PILOT LIST #1 (not to exceed 5)                       *)
(*---------------------------------------------------------*)
DEV vdvPILOT_LIST_1[] =
{
  vdvPILOT_1,vdvPILOT_2
}


(*---------------------------------------------------------*)
(*   PT LIST (not to exceed 18)                            *)
(*---------------------------------------------------------*)
DEV dvPT_LIST_1[] =
{
  dvCAM1,dvCAM2,dvCAM3,dvCAM4,dvCAM5,dvCAM6
}


(*---------------------------------------------------------*)
(*   AXP-CCS CHANNELS MAP LIKE THIS                        *)
(*---------------------------------------------------------*)
INTEGER chALL_AXP_CCS_BTNS[]= // NORMAL FUNCTION        SETUP MENU 1                SETUP MENU 2
{                             // -------------------------------------------------------------------
    9,                        // PRESET RECALL           SETUP MENU = 2             SETUP MENU = 1
   21,                        // PRESET STORE            SETUP OFF                  SETUP OFF
    5,                        // PRESET 1                REVERSE PAN                CLEAR LIMIT UP
    6,                        // PRESET 2                REVERSE TILT               CLEAR LIMIT DOWN
    7,                        // PRESET 3                REVERSE ZOOM               CLEAR LIMIT LEFT
    8,                        // PRESET 4                REVERSE FOCUS              CLEAR LIMIT RIGHT
    1,                        // PRESET 5                REVERSE IRIS               SET LIMIT UP
    2,                        // PRESET 6                ALL NORMAL (NOT REVERSED)  SET LIMIT DOWN
    3,                        // PRESET 7                LENS = SPEED MODE          SET LIMIT LEFT
    4,                        // PRESET 8                LENS = POSITIONAL MODE     SET LIMIT RIGHT
   22,                        // CAM 1
   23,                        // CAM 2
   24,                        // CAM 3
   18,                        // CAM 4
   19,                        // CAM 5
   20,                        // CAM 6
   10,                        // MODE A
   11,                        // MODE B
   12,                        // MODE C
   14,                        // IRIS AUTO/MANUAL
   15,                        // IRIS OPEN               RESET SELECTED CAMERA      SET  HOME POSITION
   16                         // IRIS CLOSE              JOYSTICK CALIBRATION       GOTO HOME POSITION
}


(*---------------------------------------------------------*)
(*   AXM-CCS CHANNELS MAP LIKE THIS                        *)
(*---------------------------------------------------------*)
INTEGER chALL_AXM_CCS_BTNS[]= // NORMAL FUNCTION        SETUP MENU 1                SETUP MENU 2
{                             // -------------------------------------------------------------------
   32,                        // PRESET RECALL           SETUP MENU = 2             SETUP MENU = 1
   24,                        // PRESET STORE            SETUP OFF                  SETUP OFF
   21,                        // PRESET 1                REVERSE PAN                CLEAR LIMIT UP
   22,                        // PRESET 2                REVERSE TILT               CLEAR LIMIT DOWN
   23,                        // PRESET 3                REVERSE ZOOM               CLEAR LIMIT LEFT
   25,                        // PRESET 4                REVERSE FOCUS              CLEAR LIMIT RIGHT
   26,                        // PRESET 5                REVERSE IRIS               SET LIMIT UP
   29,                        // PRESET 6                ALL NORMAL (NOT REVERSED)  SET LIMIT DOWN
   30,                        // PRESET 7                LENS = SPEED MODE          SET LIMIT LEFT
   31,                        // PRESET 8                LENS = POSITIONAL MODE     SET LIMIT RIGHT
    1,                        // CAM 1
    2,                        // CAM 2
    3,                        // CAM 3
    5,                        // CAM 4
    6,                        // CAM 5
    7,                        // CAM 6
   17,                        // MODE A
   18,                        // MODE B
   19,                        // MODE C
   10,                        // IRIS AUTO/MANUAL
   13,                        // IRIS OPEN               RESET SELECTED CAMERA      SET  HOME POSITION
   15                         // IRIS CLOSE              JOYSTICK CALIBRATION       GOTO HOME POSITION
}

(***********************************************************)
(*               LATCHING DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_LATCHING

(***********************************************************)
(*       MUTUALLY EXCLUSIVE DEFINITIONS GO BELOW           *)
(***********************************************************)
DEFINE_MUTUALLY_EXCLUSIVE

(***********************************************************)
(*        SUBROUTINE/FUNCTION DEFINITIONS GO BELOW         *)
(***********************************************************)


(***********************************************************)
(*                STARTUP CODE GOES BELOW                  *)
(***********************************************************)
DEFINE_START


(* EXAMPLE: CAMERA 2 NEEDS TO OVERRIDE THE DEFAULTS *)
(* This is how the default values would be overridden for camera 2.
SEND_COMMAND vdvPILOT_1,"'C2LENS-S'"    (* CAM2 = LENS IS SPEED MODE      *)
SEND_COMMAND vdvPILOT_1,"'C2G3REV-N'"   (* CAM2 = ZOOM  (3), REVERSE ON   *)
SEND_COMMAND vdvPILOT_1,"'C2G4REV-N'"   (* CAM2 = FOCUS (4), REVERSE ON   *)
SEND_COMMAND vdvPILOT_1,"'C2G5REV-N'"   (* CAM2 = IRIS  (5), REVERSE ON   *)
*)

(***********************************************************)
(*                MODULES CODE GOES BELOW                  *)
(***********************************************************)
(*---------------------------------------------------------------------------*)
(* NOTE: -The AXP-CCS is the tabletop version.                               *)
(*       -The AXM-CCS is the rackmount version.                              *)
(*       -You must match the CCS to the correct include!!                    *)
(*                                                                           *)
(*       -Modules default all cameras to:                                    *)
(*          --Positional type lens                                           *)
(*          --Zoom wide  is in the positive direction (+V)                   *)
(*          --Zoom tele  is in the negative direction (-V)                   *)
(*          --Focus far  is in the positive direction (+V)                   *)
(*          --Focus near is in the negative direction (-V)                   *)
(*          --Iris close is in the positive direction (+V)                   *)
(*          --Iris open  is in the negative direction (-V)                   *)
(*                                                                           *)
(*       -Modules default all P/T heads to:                                  *)
(*          --Mounted up-right (sitting on a pedestal as opposed to hanging  *)
(*            from the ceiling)                                              *)
(*                                                                           *)
(*       -When adding multiple CCS modules, it is necessary to group them by *)
(*        module names.  For example:                                        *)
(*            DEFINE_MODULE 'AMX_CCS_UI'     mdlCCS_UI_1()                   *)
(*            DEFINE_MODULE 'AMX_CCS_UI'     mdlCCS_UI_2()                   *)
(*            DEFINE_MODULE 'AMX_CCS_JS'     mdlCCS_JS_1()                   *)
(*            DEFINE_MODULE 'AMX_CCS_JS'     mdlCCS_JS_2()                   *)
(*            DEFINE_MODULE 'AMX_PT_CONTROL' mdlCCS_PT_1()                   *)
(*---------------------------------------------------------------------------*)
(*** UI modules here (buttons) ***)
DEFINE_MODULE 'AMX_CCS_UI'  mdlCCS_UI_1(vdvPILOT_1, dvMSP_1, chALL_AXP_CCS_BTNS, dvPT_LIST_1)
DEFINE_MODULE 'AMX_CCS_UI'  mdlCCS_UI_2(vdvPILOT_2, dvMSP_2, chALL_AXM_CCS_BTNS, dvPT_LIST_1)

(*** JS modules here (joystcks) ***)
DEFINE_MODULE 'AMX_CCS_JS'  mdlCCS_JS_1(vdvPILOT_1, dvAI8_1)
DEFINE_MODULE 'AMX_CCS_JS'  mdlCCS_JS_2(vdvPILOT_2, dvAI8_2)

(*** PT module here (camera control) ***)
DEFINE_MODULE 'AMX_PT_CONTROL'  mdlCCS_PT_1(vdvPILOT_LIST_1, dvPT_LIST_1)


(***********************************************************)
(*                THE EVENTS GOES BELOW                    *)
(***********************************************************)
DEFINE_EVENT

(***********************************************************)
(*            THE ACTUAL PROGRAM GOES BELOW                *)
(***********************************************************)
DEFINE_PROGRAM

(***********************************************************)
(*                     END OF PROGRAM                      *)
(*        DO NOT PUT ANY CODE BELOW THIS COMMENT           *)
(***********************************************************)


